# Uses of Class
org.apache.commons.math3.exception.ConvergenceException

Packages that use ConvergenceException
Package
Description
org.apache.commons.math3.analysis.solvers
Root finding algorithms, for univariate real functions.
org.apache.commons.math3.fraction
Fraction number type and fraction number formatting.
org.apache.commons.math3.geometry.euclidean.twod.hull
This package provides algorithms to generate the convex hull for a set of points in an two-dimensional euclidean space.
org.apache.commons.math3.geometry.hull
This package provides interfaces and classes related to the convex hull problem.
org.apache.commons.math3.ml.clustering
Clustering algorithms.
org.apache.commons.math3.special
Implementations of special functions such as Beta and Gamma.
org.apache.commons.math3.stat.clustering
All classes and sub-packages of this package are deprecated.
org.apache.commons.math3.stat.inference
Classes providing hypothesis testing.
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

## Uses of ConvergenceException in org.apache.commons.math3.analysis.solvers

Methods in org.apache.commons.math3.analysis.solvers that throw ConvergenceException
Modifier and Type
Method
Description
`protected final double`
BaseSecantSolver.`doSolve()`
Method for implementing actual optimization algorithms in derived classes.

## Uses of ConvergenceException in org.apache.commons.math3.fraction

Subclasses of ConvergenceException in org.apache.commons.math3.fraction
Modifier and Type
Class
Description
`class`
`FractionConversionException`
Error thrown when a double value cannot be converted to a fraction in the allowed number of iterations.

## Uses of ConvergenceException in org.apache.commons.math3.geometry.euclidean.twod.hull

Methods in org.apache.commons.math3.geometry.euclidean.twod.hull that throw ConvergenceException
Modifier and Type
Method
Description
`ConvexHull2D`
ConvexHullGenerator2D.`generate(Collection<Vector2D> points)`
Builds the convex hull from the set of input points.

## Uses of ConvergenceException in org.apache.commons.math3.geometry.hull

Methods in org.apache.commons.math3.geometry.hull that throw ConvergenceException
Modifier and Type
Method
Description
`ConvexHull<S,P>`
ConvexHullGenerator.`generate(Collection<P> points)`
Builds the convex hull from the set of input points.

## Uses of ConvergenceException in org.apache.commons.math3.ml.clustering

Methods in org.apache.commons.math3.ml.clustering that throw ConvergenceException
Modifier and Type
Method
Description
`abstract List<? extends Cluster<T>>`
Clusterer.`cluster(Collection<T> points)`
Perform a cluster analysis on the given set of `Clusterable` instances.
`List<CentroidCluster<T>>`
KMeansPlusPlusClusterer.`cluster(Collection<T> points)`
Runs the K-means++ clustering algorithm.
`List<CentroidCluster<T>>`
MultiKMeansPlusPlusClusterer.`cluster(Collection<T> points)`
Runs the K-means++ clustering algorithm.

## Uses of ConvergenceException in org.apache.commons.math3.special

Methods in org.apache.commons.math3.special that throw ConvergenceException
Modifier and Type
Method
Description
`double`
BesselJ.`value(double x)`
Returns the value of the constructed Bessel function of the first kind, for the passed argument.
`static double`
BesselJ.`value(double order, double x)`
Returns the first Bessel function, \(J_{order}(x)\).

## Uses of ConvergenceException in org.apache.commons.math3.stat.clustering

Methods in org.apache.commons.math3.stat.clustering that throw ConvergenceException
Modifier and Type
Method
Description
`List<Cluster<T>>`
KMeansPlusPlusClusterer.`cluster(Collection<T> points, int k, int maxIterations)`
Deprecated.
Runs the K-means++ clustering algorithm.
`List<Cluster<T>>`
KMeansPlusPlusClusterer.`cluster(Collection<T> points, int k, int numTrials, int maxIterationsPerTrial)`
Deprecated.
Runs the K-means++ clustering algorithm.

## Uses of ConvergenceException in org.apache.commons.math3.stat.inference

Methods in org.apache.commons.math3.stat.inference that throw ConvergenceException
Modifier and Type
Method
Description
`double`
OneWayAnova.`anovaPValue(Collection<double[]> categoryData)`
Computes the ANOVA P-value for a collection of `double[]` arrays.
`double`
OneWayAnova.`anovaPValue(Collection<SummaryStatistics> categoryData, boolean allowOneElementData)`
Computes the ANOVA P-value for a collection of `SummaryStatistics`.
`boolean`
OneWayAnova.`anovaTest(Collection<double[]> categoryData, double alpha)`
Performs an ANOVA test, evaluating the null hypothesis that there is no difference among the means of the data categories.
`double`
MannWhitneyUTest.`mannWhitneyUTest(double[] x, double[] y)`
Returns the asymptotic observed significance level, or p-value, associated with a Mann-Whitney U statistic comparing mean for two independent samples.
`static double`
TestUtils.`oneWayAnovaPValue(Collection<double[]> categoryData)`
`static boolean`
TestUtils.`oneWayAnovaTest(Collection<double[]> categoryData, double alpha)`
`double`
WilcoxonSignedRankTest.`wilcoxonSignedRankTest(double[] x, double[] y, boolean exactPValue)`
Returns the observed significance level, or p-value, associated with a Wilcoxon signed ranked statistic comparing mean for two related samples or repeated measurements on a single sample.

## Uses of ConvergenceException in org.apache.commons.math3.util

Methods in org.apache.commons.math3.util that throw ConvergenceException
Modifier and Type
Method
Description
`double`
ContinuedFraction.`evaluate(double x)`
Evaluates the continued fraction at the value x.
`double`
ContinuedFraction.`evaluate(double x, double epsilon)`
Evaluates the continued fraction at the value x.
`double`
ContinuedFraction.`evaluate(double x, double epsilon, int maxIterations)`
Evaluates the continued fraction at the value x.
`double`
ContinuedFraction.`evaluate(double x, int maxIterations)`
Evaluates the continued fraction at the value x.